Package com.pixelmed.display

# Class SuperimposedImage.AppliedToUnderlyingImage

java.lang.Object
com.pixelmed.display.SuperimposedImage.AppliedToUnderlyingImage

Enclosing class:
  SuperimposedImage

public class SuperimposedImage.AppliedToUnderlyingImage extends Object

A class that supports matching the geometry of a superimposed image and a specified underlying image, and creating a BufferedImage suitable for drawing on that underlying image.

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`getBufferedImage()`
`double`
`getColumnOrigin()`
`double`
`getRowOrigin()`
`void`
`notificationOfCurrentLocationIn3DSpace(double[] currentLocationIn3DSpace)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getBufferedImage

public BufferedImage getBufferedImage()

Returns:
  a BufferedImage if a superimposed frame that is close enough can be found, otherwise null

### getColumnOrigin

public double getColumnOrigin()

### getRowOrigin

public double getRowOrigin()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### notificationOfCurrentLocationIn3DSpace

public void notificationOfCurrentLocationIn3DSpace(double[] currentLocationIn3DSpace)